### Hierarchy

- unknown
  - GetChatMessagesRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetChatMessagesRequest(): GetChatMessagesRequest

- Inherited from jspb.Message.constructor

  #### Returns GetChatMessagesRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2540

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2543

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): GetChatMessagesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2541

  #### Parameters

  - ##### value: string

  #### Returns GetChatMessagesRequest

### toObject

- toObject(includeInstance?: boolean): GetChatMessagesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2544

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetChatMessagesRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetChatMessagesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2547

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetChatMessagesRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetChatMessagesRequest, reader: BinaryReader): GetChatMessagesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2548

  #### Parameters

  - ##### message: GetChatMessagesRequest

  - ##### reader: BinaryReader

  #### Returns GetChatMessagesRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetChatMessagesRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2546

  #### Parameters

  - ##### message: GetChatMessagesRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetChatMessagesRequest ): GetChatMessagesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2545

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetChatMessagesRequest

  #### Returns GetChatMessagesRequest . AsObject

Generated using TypeDoc